Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 547768 - net-irc/epic5 still uses ruby19
Summary: net-irc/epic5 still uses ruby19
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Packages in net-irc
URL:
Whiteboard:
Keywords:
Depends on: 558130
Blocks: ruby19-removal
  Show dependency tree
 
Reported: 2015-04-26 08:05 UTC by Hans de Graaff
Modified: 2015-12-28 08:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2015-04-26 08:05:12 UTC
Upstream support for Ruby 1.9 ended, therefore we'd like to remove ruby1.9 soon.

Your package depends on ruby:1.9, please use a recent ruby implementation and get this version stable, if the ruby:1.9 version had stable keywords.

Further reading:
https://wiki.gentoo.org/wiki/Project:Ruby/Ruby_1.9_deprecation
Comment 1 Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2015-07-11 20:50:01 UTC
I added epic5-1.1.10-r1 which drops ruby19 and adds support for selecting a ruby implementation from among ruby20, ruby21, and ruby22.

I also added stuff to REQUIRED_USE to prevent ruby_targets_* useflags from being set when the ruby useflag is disabled. I think that this is the right way to handle RUBY_OPTIONAL=yes. Though, I feel like the ruby-ng.eclass makes this harder than it should be as my line looks like:

    REQUIRED_USE="ruby? ( ^^ ( $(ruby_get_use_targets) ) )
            $(for t in $(ruby_get_use_targets); do echo "${t}? ( ruby )"; done)"

If the ruby team has comments on how I’m handling this project which has optional ruby support but can only build against one ruby at a time, that’d be helpful.

I guess all that’s left is stabilization. Should I file the stabilization bug earlier because of upstream ruby19 discontinuation or is it fine to wait the standard(?) 30 days?
Comment 2 Manuel Rüger (RETIRED) gentoo-dev 2015-07-11 20:57:41 UTC
There's ruby-single.eclass available now. That probably might help here.
Comment 3 Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2015-07-11 22:19:21 UTC
(In reply to Manuel Rüger from comment #2)
> There's ruby-single.eclass available now. That probably might help here.

I need to be able to use ruby_implementation_command() (from ruby-ng.eclass for now), so while ruby-single.eclass looks the right way to go, it isn’t quite ready yet. So see bug #554560 for that discussion.
Comment 4 Manuel Rüger (RETIRED) gentoo-dev 2015-09-07 10:04:13 UTC
<net-irc/epic5-1.10-r1 USE="ruby" was masked
Comment 5 Chris Hall 2015-09-23 23:21:03 UTC
(In reply to Manuel Rüger from comment #4)
> <net-irc/epic5-1.10-r1 USE="ruby" was masked

This looks like a typo; I think it should perhaps be <net-irc/epic5-1.1.10-r1 that gets masked?
Comment 6 Manuel Rüger (RETIRED) gentoo-dev 2015-09-23 23:34:04 UTC
(In reply to Chris Hall from comment #5)
> (In reply to Manuel Rüger from comment #4)
> > <net-irc/epic5-1.10-r1 USE="ruby" was masked
> 
> This looks like a typo; I think it should perhaps be
> <net-irc/epic5-1.1.10-r1 that gets masked?

Thanks should be fixed in 63d5b88128b2755e587ab51dba79436b63fe57d1
Comment 7 Hans de Graaff gentoo-dev 2015-12-28 08:06:21 UTC
epic5-1.1.10 has now been removed.